Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158874 - support for wpa setup in wireless dialog
Summary: support for wpa setup in wireless dialog
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-26 14:15 UTC by Rudolf Kastl
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-15 16:57:57 UTC


Attachments (Terms of Use)

Description Rudolf Kastl 2005-05-26 14:15:55 UTC
Description of problem:
Its not possible to setup wpa support with system-config-network yet. this is
untrivial for an end user. wep support is pretty insufficient protection.

Version-Release number of selected component (if applicable):
any future releases

How to solve?
Maybe add some wpa setup functionality to the wireless wizard.

Comment 1 Harald Hoyer 2005-09-14 12:57:46 UTC
with which tool do you enable wpa?

Comment 2 Rudolf Kastl 2005-09-14 14:21:02 UTC
wpa_supplicant is the tool i personally use to enable wpa with my centrino 
thinpad r51. 
to make it work with that laptop i had to build the latest unstable version of 
the ipw2200 driver and also build latest ieee modules.

xsupplicant exists too but as far as i know it doesent have built in encryption 
support.

regards,
Rudolf Kastl

Comment 3 Rudolf Kastl 2005-09-14 14:22:58 UTC
additionally it could also be made possible to use wpa2. would be a "nice to 
have" and it would move wireless support definitely up to par with other 
commercial operating systems.

regards,
Rudolf Kastl

Comment 5 Harald Hoyer 2005-09-15 07:48:23 UTC
well, as long as there is nothing in Core or Extras, I will not add s.th.
you may provide patches to s-c-network :)

Comment 6 Rudolf Kastl 2005-09-19 10:17:27 UTC
xsupplicant is part of fedora extras

Comment 7 Rudolf Kastl 2006-02-15 16:57:57 UTC
wpa supplicant is there now (in rawhide) but NetworkManager does the job like a
charm.

since i initially made the request i am going to close it aswell. NetworkManager
does solve the Problem for me in a nice Gnomish way.


Note You need to log in before you can comment on or make changes to this bug.